@mixin breakpoint($point) {
  @if $point==largedesktop {
    html.ie8 & {
      @content;
    }
    @media (min-width: $width-large-desktop) {
      @content;
    }
  } @else if $point==desktop {
    html.ie8 & {
      @content;
    }
    @media (min-width: $width-desktop) {
      @content;
    }
  } @else if $point==wrap {
    html.ie8 & {
      @content;
    }
    @media (min-width: $width-large-wrap) {
      @content;
    }
  } @else if $point==mediumwrap {
    html.ie8 & {
      @content;
    }
    @media (max-width: ($width-large-wrap - 1)) {
      @content;
    }
  } @else if $point==middesktop {
    html.ie8 & {
      @content;
    }
    @media (max-width: ($width-mid-desktop - 1)) {
      @content;
    }
  } @else if $point==mediumdesktop {
    html.ie8 & {
      @content;
    }
    @media (max-width: ($width-medium-desktop - 1)) {
      @content;
    }
  } @else if $point==tablet {
    @media (min-width: ($width-tablet)) and (max-width: ($width-desktop - 1)) {
      @content;
    }
  } @else if $point==mobile {
    @media (max-width: ($width-tablet - 1)) {
      @content;
    }
  } @else if $point==hiresmobile {
    @media (min-width: ($width-mobile)) and (max-width: ($width-tablet - 1)) {
      @content;
    }
  } @else if $point==lores {
    @media (max-width: ($width-desktop - 1)) {
      @content;
    }
  } @else if $point==hires {
    html.ie8 & {
      @content;
    }
    @media (min-width: ($width-tablet)) {
      @content;
    }
  } @else if $point==smallmobile {
    //screen < 480px
    @media (max-width: ($width-mobile - 1)) {
      @content;
    }
  }
}

@mixin transform($attr...) {
  -webkit-transform: #{$attr};
  -moz-transform: #{$attr};
  -ms-transform: #{$attr};
  transform: #{$attr};
}

@mixin transition-duration($attr...) {
  -webkit-transition-duration: #{$attr};
  -moz-transition-duration: #{$attr};
  -ms-transition-duration: #{$attr};
  transition-duration: #{$attr};
}

@mixin transition-property($attr...) {
  -webkit-transition-property: #{$attr};
  -moz-transition-property: #{$attr};
  -ms-transition-property: #{$attr};
  transition-property: #{$attr};
}

@mixin transform-origin($attr...) {
  -webkit-transform-origin: #{$attr};
  -ms-transform-origin: #{$attr};
  transform-origin: #{$attr};
}

@mixin transition($params: all 300ms ease-in-out) {
  -webkit-transition: #{$params};
  -ms-transition: #{$params};
  -moz-transition: #{$params};
  transition: #{$params};
}

@mixin animation($params) {
  -webkit-animation: #{$params};
  -moz-animation: #{$params};
  animation: #{$params};
}

@mixin box-shadow($params...) {
  -moz-box-shadow: #{$params};
  -webkit-box-shadow: #{$params};
  box-shadow: #{$params};
}

@mixin box-sizing($params) {
  box-sizing: #{$params};
  -moz-box-sizing: #{$params};
  -webkit-box-sizing: #{$params};
}

@mixin border-radius($params) {
  -webkit-border-radius: #{$params};
  -moz-border-radius: #{$params};
  border-radius: #{$params};
}

@mixin backface($params) {
  -webkit-backface-visibility: $params;
  -moz-backface-visibility: $params;
  -o-backface-visibility: $params;
  backface-visibility: $params;
}

@mixin opacity($opacity) {
  opacity: $opacity;
  $opacityIE: $opacity * 100;
  filter: alpha(opacity=$opacityIE);
}

@mixin filter($param) {
  -webkit-filter: #{$param};
  filter: #{$param};
}

@mixin flexbox() {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
}

@mixin avara-carousel() {
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
}

@mixin flex($params...) {
  -webkit-box-flex: #{$params};
  -moz-box-flex: #{$params};
  -webkit-flex: #{$params};
  -ms-flex: #{$params};
  flex: #{$params};
}

@mixin background($params) {
  -webkit-linear-gradient: #{$params};
  -webkit-gradient: #{$params};
  -o-linear-gradient: #{$params};
}

@mixin keyframes($animationName) {
  @-webkit-keyframes #{$animationName} {
    @content;
  }
  @-moz-keyframes #{$animationName} {
    @content;
  }
  @-o-keyframes #{$animationName} {
    @content;
  }
  @keyframes #{$animationName} {
    @content;
  }
}
@mixin scroll {
  &::-webkit-scrollbar {
    // Width of vertical scroll bar
    width: 8px;
    // Height of horizontal scroll bar
    height: 10px;
  }
  &::-webkit-scrollbar-thumb {
    border-radius: 8px;
    background: #aaaaaa;
    height: 5px;
  }
  &::-webkit-scrollbar-track {
    background: #f5f5f5;
    height: 5px;
    border-radius: 10px;
  }
}
@mixin smallscroll {
  &::-webkit-scrollbar {
    // Width of vertical scroll bar
    width: 3px;
    // Height of horizontal scroll bar
    height: 10px;
  }
  &::-moz-scrollbar {
    // Width of vertical scroll bar
    width: 3px;
    // Height of horizontal scroll bar
    height: 10px;
  }
  &::-webkit-scrollbar-thumb {
    border-radius: 3px;
    background: #aaaaaa;
    height: 5px;
  }
  &::-moz-scrollbar-thumb {
    border-radius: 3px;
    background: #aaaaaa;
    height: 5px;
  }
  &::-webkit-scrollbar-track {
    background: #f5f5f5;
    height: 5px;
    border-radius: 10px;
  }
  &::-moz-scrollbar-track {
    background: #f5f5f5;
    height: 5px;
    border-radius: 10px;
  }
}
